commit:     953ca36f712e307e5114d27d5c81f9da4d2f4580
Author:     Yiyang Wu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Thu Sep  1 07:32:31 2022 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 01:08:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=953ca36f

sci-libs/hipBLAS: add 5.1.3, using rocm.eclass

Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/hipBLAS/Manifest             |  1 +
 sci-libs/hipBLAS/hipBLAS-5.1.3.ebuild | 44 +++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/sci-libs/hipBLAS/Manifest b/sci-libs/hipBLAS/Manifest
index 55444b3ae0e5..61d6dfad8aa5 100644
--- a/sci-libs/hipBLAS/Manifest
+++ b/sci-libs/hipBLAS/Manifest
@@ -1,2 +1,3 @@
 DIST hipBLAS-4.3.0.tar.gz 428016 BLAKE2B 
5a86f7a59aaed9cd6219779546135080f4c583a010f47b902f25545046c50451cd48e570b58c9c3721d735f3ab54295d5eddc61fecc01236e960e37fc87761c8
 SHA512 
128ee56d6db3d19c83b20fbc315eae8de6ee52aae6c2c5727351bab76c14d9131318cd49a6bcc724f5ec73485783058618bca4dddf96b05cd2f3a772c04f469f
 DIST hipBLAS-5.0.2.tar.gz 475009 BLAKE2B 
e7cb123c4ce08a8423f48816fe9248d580df59d089379c3c71eba8725470482cde591254cb2c4af7def390c702fdf6e6ddbe4fda70a6bc4579809c3e00e7d088
 SHA512 
40bccf8845467d14d614d2eba5482668167fa0488f118e30bbf4cf5fad3aea5e591f89ae2ae63bcb898cff624812d2f94572c18b8ed3d55d4bb254a440790c21
+DIST hipBLAS-5.1.3.tar.gz 526704 BLAKE2B 
d32d7029ea910c341e00dccab1ee9ab984518368cf38524f2264bb808cc1242b3d57db283937650f54460cb01174ec90f02c4bd66866cba4be5d0a1855814f0e
 SHA512 
41dbc86b7ea53e7c0f1d629130f90b719f864ceddae972f1c68911e97b6233286f0c22c0fcfce049ae7db73a1ed41bdaf730040c72f1790fca367362c14ac707

diff --git a/sci-libs/hipBLAS/hipBLAS-5.1.3.ebuild 
b/sci-libs/hipBLAS/hipBLAS-5.1.3.ebuild
new file mode 100644
index 000000000000..3ac3a0ae1200
--- /dev/null
+++ b/sci-libs/hipBLAS/hipBLAS-5.1.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ROCM_VERSION=${PV}
+
+inherit cmake rocm
+DESCRIPTION="ROCm BLAS marshalling library"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/hipBLAS";
+SRC_URI="https://github.com/ROCmSoftwarePlatform/hipBLAS/archive/rocm-${PV}.tar.gz
 -> ${P}.tar.gz"
+REQUIRED_USE="${ROCM_REQUIRED_USE}"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="dev-util/hip
+       sci-libs/rocBLAS:${SLOT}[${ROCM_USEDEP}]
+       sci-libs/rocSOLVER:${SLOT}[${ROCM_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/hipBLAS-rocm-${PV}"
+
+src_prepare() {
+       sed -e 
"s:<INSTALL_INTERFACE\:include:<INSTALL_INTERFACE\:include/hipblas/:" -i 
library/src/CMakeLists.txt || die
+       sed -e "/PREFIX hipblas/d" -i library/src/CMakeLists.txt || die
+       sed -e "/rocm_install_symlink_subdir( hipblas )/d" -i 
library/src/CMakeLists.txt || die
+       sed -e "s:hipblas/include:include/hipblas:" -i 
library/src/CMakeLists.txt || die
+
+       eapply_user
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+               -DBUILD_CLIENTS_TESTS=OFF  # currently hipBLAS is a wrapper of 
rocBLAS which has tests, so no need to perform test here
+               -DBUILD_CLIENTS_BENCHMARKS=OFF
+       )
+
+       cmake_src_configure
+}

Reply via email to